ClamAV < 0.94.1 get_unicode_name() 差一緩衝區溢位

high Nessus Plugin ID 34729

Synopsis

遠端防毒服務受到一個緩衝區溢位弱點影響。

描述

根據其版本,遠端主機上的 clamd 防毒程序版本比 0.94.1 舊。在這些版本中,向其傳送特定的「name」緩衝區時,負責剖析 VBA 專案檔案的程式碼 (特別是「libclamav/vba_extract.c」的「get_unicode_name()」函式) 中有一個差一堆積溢位弱點。

遠端攻擊者可以使用內嵌在 OLE2 Office 文件中的特製 VBA 專案檔案觸發此弱點,並在遠端主機上使用「clamd」處理程序的權限執行任意程式碼。

解決方案

升級至 ClamAV 0.94.1 或更新版本。

另請參閱

http://www.nessus.org/u?91209430

https://seclists.org/bugtraq/2008/Nov/70

Plugin 詳細資訊

嚴重性: High

ID: 34729

檔案名稱: clamav_0_94_1.nasl

版本: 1.20

類型: remote

已發布: 2008/11/10

已更新: 2018/11/15

組態: 啟用 Paranoid 模式

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 5.5

媒介: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: CVSS2#E:U/RL:OF/RC:C

弱點資訊

CPE: cpe:2.3:a:clamav:clamav:*:*:*:*:*:*:*:*

必要的 KB 項目: Settings/ParanoidReport

可輕鬆利用: No known exploits are available

參考資訊

CVE: CVE-2008-5050

BID: 32207

CWE: 119